Search Results for

    Show / Hide Table of Contents

    Class LightweightSectionBuilder

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TaggedObject
    Builder
    DynamicSectionBuilder
    LightweightSectionBuilder
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    Inherited Members
    DynamicSectionBuilder.GetActivePlane(DynamicSectionTypes.Axis, DynamicSectionTypes.ActivePlane)
    DynamicSectionBuilder.SetActivePlane(DynamicSectionTypes.Axis, DynamicSectionTypes.ActivePlane)
    DynamicSectionBuilder.AlternatePlane()
    DynamicSectionBuilder.CreateDatumPlane()
    DynamicSectionBuilder.EditView(ModelingView)
    DynamicSectionBuilder.ShowCurvePreview(Boolean)
    DynamicSectionBuilder.GetGridSettings()
    DynamicSectionBuilder.GetName()
    DynamicSectionBuilder.SetName(String)
    DynamicSectionBuilder.GetNormal()
    DynamicSectionBuilder.SetNormal(Vector3d)
    DynamicSectionBuilder.GetOffset()
    DynamicSectionBuilder.SetOffset(Double)
    DynamicSectionBuilder.GetOffsetLimits(Double, Double)
    DynamicSectionBuilder.GetOrigin()
    DynamicSectionBuilder.SetOrigin(Point3d)
    DynamicSectionBuilder.OffsetOriginInPlane(Double, Double)
    DynamicSectionBuilder.GetPlaneThickness()
    DynamicSectionBuilder.SetPlaneThickness(Double)
    DynamicSectionBuilder.GetRotationAngle(DynamicSectionTypes.Axis)
    DynamicSectionBuilder.SetRotationAngle(DynamicSectionTypes.Axis, Double)
    DynamicSectionBuilder.GetRotationMatrix()
    DynamicSectionBuilder.SetRotationMatrix(DynamicSectionTypes.Axis, Matrix3x3)
    DynamicSectionBuilder.LoadAllIntersecting(PartLoadStatus)
    DynamicSectionBuilder.LoadNearIntersecting(PartLoadStatus)
    DynamicSectionBuilder.PlaneX()
    DynamicSectionBuilder.PlaneY()
    DynamicSectionBuilder.PlaneZ()
    DynamicSectionBuilder.RestoreView()
    DynamicSectionBuilder.ReverseDirection()
    DynamicSectionBuilder.SaveCurves(String)
    DynamicSectionBuilder.IsDefaultPlane()
    DynamicSectionBuilder.SetDefaultPlane()
    DynamicSectionBuilder.SetDefaults()
    DynamicSectionBuilder.SetOffsetByPoint(Point3d)
    DynamicSectionBuilder.SetPlane(Point3d, Point3d, Matrix3x3)
    DynamicSectionBuilder.SetAssociativePlane(Plane)
    DynamicSectionBuilder.IsAssociativitySupported()
    DynamicSectionBuilder.ShowSectionCurves(Boolean)
    DynamicSectionBuilder.UpdateBoxExtents()
    DynamicSectionBuilder.GetAllPlanesGeometry(Point3d[], Matrix3x3[])
    DynamicSectionBuilder.GetPlaneGeometry(DynamicSectionTypes.Axis, DynamicSectionTypes.ActivePlane, Point3d, Matrix3x3)
    DynamicSectionBuilder.SetAllPlanesGeometry(Point3d[], Matrix3x3[])
    DynamicSectionBuilder.GetBoundingBox(Point3d, Point3d)
    DynamicSectionBuilder.SetBoundingBox(Point3d, Point3d)
    DynamicSectionBuilder.BoxExtentDelayUpdate
    DynamicSectionBuilder.BoxExtentMargin
    DynamicSectionBuilder.BoxExtentObjects
    DynamicSectionBuilder.BoxExtentSupported
    DynamicSectionBuilder.CapColor
    DynamicSectionBuilder.CapColorOption
    DynamicSectionBuilder.ClipType
    DynamicSectionBuilder.CsysType
    DynamicSectionBuilder.CurveColor
    DynamicSectionBuilder.CurveColorOption
    DynamicSectionBuilder.DefaultPlaneAxis
    DynamicSectionBuilder.DeferCurveUpdate
    DynamicSectionBuilder.InterferenceColor
    DynamicSectionBuilder.LayerSettings
    DynamicSectionBuilder.LockPlanes
    DynamicSectionBuilder.NumberInSeries
    DynamicSectionBuilder.ReverseSeries
    DynamicSectionBuilder.SeriesSpacing
    DynamicSectionBuilder.ShowCap
    DynamicSectionBuilder.ShowClip
    DynamicSectionBuilder.ShowCurves
    DynamicSectionBuilder.ShowGrid
    DynamicSectionBuilder.ShowInterference
    DynamicSectionBuilder.ShowViewer
    DynamicSectionBuilder.Type
    DynamicSectionBuilder.View
    Builder.Commit()
    Builder.Destroy()
    Builder.GetCommittedObjects()
    Builder.GetObject()
    Builder.ShowResults()
    Builder.Validate()
    Builder.PreviewBuilder
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(String)
    TaggedObject.PrintTestData(String, Int32)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen.Annotations
    Assembly: NXOpen.dll
    Syntax
    public class LightweightSectionBuilder : DynamicSectionBuilder, IMessageSink, IComponentBuilder

    Constructors

    LightweightSectionBuilder()

    Declaration
    protected LightweightSectionBuilder()

    Properties

    AssemblyCrosshatching

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.AssemblyCrosshatching</ja_property> instead.")]
    public bool AssemblyCrosshatching { get; set; }
    Property Value
    Type Description
    System.Boolean

    BoundingBoxComponents

    Declaration
    public SelectDisplayableObjectList BoundingBoxComponents { get; }
    Property Value
    Type Description
    SelectDisplayableObjectList

    ClipCoplanarObjects

    Declaration
    public bool ClipCoplanarObjects { get; set; }
    Property Value
    Type Description
    System.Boolean

    ClipWireframeObjects

    Declaration
    public bool ClipWireframeObjects { get; set; }
    Property Value
    Type Description
    System.Boolean

    CrosshatchSettings

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.Crosshatch</ja_property> instead.")]
    public HatchFillSettingsBuilder CrosshatchSettings { get; }
    Property Value
    Type Description
    HatchFillSettingsBuilder

    CuttingPlaneSymbol

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.CuttingPlaneSymbol</ja_property> instead.")]
    public CuttingPlaneSymbolBuilder CuttingPlaneSymbol { get; }
    Property Value
    Type Description
    CuttingPlaneSymbolBuilder

    DisplayCrosshatch

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.DisplayCrosshatch</ja_property> instead.")]
    public bool DisplayCrosshatch { get; set; }
    Property Value
    Type Description
    System.Boolean

    ObjectsToSection

    Declaration
    public SelectDisplayableObjectList ObjectsToSection { get; }
    Property Value
    Type Description
    SelectDisplayableObjectList

    PatternDefinedBy

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.CrosshatchPatternDefinedBy</ja_property> instead.")]
    public int PatternDefinedBy { get; set; }
    Property Value
    Type Description
    System.Int32

    RestrictCrosshatch

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.RestrictCrosshatchAngle</ja_property> instead.")]
    public bool RestrictCrosshatch { get; set; }
    Property Value
    Type Description
    System.Boolean

    SaveAssociativeCurves

    Declaration
    public bool SaveAssociativeCurves { get; set; }
    Property Value
    Type Description
    System.Boolean

    Settings

    Declaration
    public PmiSectionViewSettingsBuilder Settings { get; }
    Property Value
    Type Description
    PmiSectionViewSettingsBuilder

    ToleranceCrosshatch

    Declaration
    [Obsolete("Deprecated in NX2007.0.0.  Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.CrosshatchAdjacencyTolerance</ja_property> instead.")]
    public double ToleranceCrosshatch { get; set; }
    Property Value
    Type Description
    System.Double

    ViewName

    Declaration
    public string ViewName { get; set; }
    Property Value
    Type Description
    System.String

    Methods

    GetSectionCurves(out Curve[])

    Declaration
    public void GetSectionCurves(out Curve[] curves)
    Parameters
    Type Name Description
    Curve[] curves

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In This Article
    Back to top Generated by DocFX